package com.tuoheng.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.model.dto.OidcTenantDto;
import com.tuoheng.model.dto.TTenant;
import com.tuoheng.model.po.TenantPo;
import com.tuoheng.model.query.TenantQuery;
import com.tuoheng.model.vo.TenantVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/12/9 9:30
 */
@Mapper
public interface TenantMapper {

    int insertTenant(TenantPo tenantPo);

    TTenant getByCode(@Param("code") String code);

    IPage<TenantPo> findList(@Param("page") IPage<TenantVo> page, @Param("query") TenantQuery query);

    void updateById(TenantPo tenantPo);

    TenantPo selectById(Long id);
}
